Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview
Class PDFDestination

    java.lang.Object
      com.sun.pdfview.PDFDestination

    public class PDFDestination

extends java.lang.Object

Represents a destination in a PDF file. Destinations take 3 forms:

- An explicit destination, which contains a reference to a page as well as some stuff about how to fit it into the window.
- A named destination, which uses the PDF file's Dests entry in the document catalog to map a name to an explicit destination
- A string destintation, which uses the PDF file's Dests entry. in the name directory to map a string to an explicit destination.

All three of these cases are handled by the getDestination() method.

Field Summary
`static int` | `FIT`
`static int` | `FITB`
`static int` | `FITBH`
`static int` | `FITBV`
`static int` | `FITH`
`static int` | `FITR`
`static int` | `FITV`
`static int` | `XYZ` The known types of destination

Constructor Summary
`protected` | `PDFDestination(PDFObject pageObj, int type)` Creates a new instance of PDFDestination

Method Summary
`float` | `getBottom()` Get the bottom coordinate value
`static PDFDestination` | `getDestination(PDFObject obj, PDFObject root)` Get a destination from either an array (explicit destination), a name (named destination) or a string (name tree destination).
`float` | `getLeft()` Get the left coordinate value
`PDFObject` | `getPage()` Get the PDF Page object associated with this destination
`float` | `getRight()` Get the right coordinate value
`float` | `getTop()` Get the top coordinate value
`int` | `getType()` Get the type of this destination
`float` | `getZoom()` Get the zoom value
`void` | `setBottom(float bottom)` Set the bottom coordinate value
`void` | `setLeft(float left)` Set the left coordinate value
`void` | `setRight(float right)` Set the right coordinate value
`void` | `setTop(float top)` Set the top coordinate value
`void` | `setZoom(float zoom)` Set the zoom value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XYZ

    public static final int XYZ

  The known types of destination

  See Also:
    Constant Field Values

### FIT

    public static final int FIT

See Also:
  Constant Field Values

### FITH

    public static final int FITH

See Also:
  Constant Field Values

### FITV

    public static final int FITV

See Also:
  Constant Field Values

### FITR

    public static final int FITR

See Also:
  Constant Field Values

### FITB

    public static final int FITB

See Also:
  Constant Field Values

### FITBH

    public static final int FITBH

See Also:
  Constant Field Values

### FITBV

    public static final int FITBV

See Also:
  Constant Field Values

Constructor Detail

### PDFDestination

    protected PDFDestination(PDFObject pageObj,
                             int type)

  Creates a new instance of PDFDestination

  Parameters:
    `pageObj` - the page object this destination refers to
    `type` - the type of page this object refers to

Method Detail

### getDestination

    public static PDFDestination getDestination(PDFObject obj,
                                                PDFObject root)
                                         throws java.io.IOException

  Get a destination from either an array (explicit destination), a name (named destination) or a string (name tree destination).

  Parameters:
    `obj` - the PDFObject representing this destination
    `root` - the root of the PDF object tree
  Throws:
    `java.io.IOException`

### getType

    public int getType()

  Get the type of this destination

### getPage

    public PDFObject getPage()

  Get the PDF Page object associated with this destination

### getLeft

    public float getLeft()

  Get the left coordinate value

### setLeft

    public void setLeft(float left)

  Set the left coordinate value

### getRight

    public float getRight()

  Get the right coordinate value

### setRight

    public void setRight(float right)

  Set the right coordinate value

### getTop

    public float getTop()

  Get the top coordinate value

### setTop

    public void setTop(float top)

  Set the top coordinate value

### getBottom

    public float getBottom()

  Get the bottom coordinate value

### setBottom

    public void setBottom(float bottom)

  Set the bottom coordinate value

### getZoom

    public float getZoom()

  Get the zoom value

### setZoom

    public void setZoom(float zoom)

  Set the zoom value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD